Bug 17689 - Add the Koha::Issue->is_overdue method
Summary: Add the Koha::Issue->is_overdue method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17796
Blocks: 17680
  Show dependency treegraph
 
Reported: 2016-11-28 09:33 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17689: Add the Koha::Issue->is_overdue method (3.71 KB, patch)
2016-11-28 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17689: Add the Koha::Issue->is_overdue method (3.77 KB, patch)
2016-11-29 22:27 UTC, Mika
Details | Diff | Splinter Review
Bug 17689: Add the Koha::Issue->is_overdue method (3.82 KB, patch)
2016-12-01 17:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17689: Add the Koha::Checkout->is_overdue method (4.20 KB, patch)
2016-12-20 13:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-28 09:33:26 UTC

    
Comment 1 Jonathan Druart 2016-11-28 09:37:15 UTC
Created attachment 57786 [details] [review]
Bug 17689: Add the Koha::Issue->is_overdue method

This patch adds a new method Koha::Issue->is_overdue and provide tests
to cover it.
The goal is to behave like GetItemIssues set the 'overdue' flag to
issues.
I don't understand why the existing GetItemIssues truncate dates to
minutes, so I did not recreate this behavior.

Test plan:
  prove t/db_dependent/Koha/Issues.t
should return green
Comment 2 Mika 2016-11-29 22:27:57 UTC
Created attachment 57810 [details] [review]
Bug 17689: Add the Koha::Issue->is_overdue method

This patch adds a new method Koha::Issue->is_overdue and provide tests
to cover it.
The goal is to behave like GetItemIssues set the 'overdue' flag to
issues.
I don't understand why the existing GetItemIssues truncate dates to
minutes, so I did not recreate this behavior.

Test plan:
  prove t/db_dependent/Koha/Issues.t
should return green

Signed-off-by: Mika Smith <mikasmith@catalyst.net.nz>
Comment 3 Tomás Cohen Arazi 2016-12-01 17:57:23 UTC
Created attachment 57864 [details] [review]
Bug 17689: Add the Koha::Issue->is_overdue method

This patch adds a new method Koha::Issue->is_overdue and provide tests
to cover it.
The goal is to behave like GetItemIssues set the 'overdue' flag to
issues.
I don't understand why the existing GetItemIssues truncate dates to
minutes, so I did not recreate this behavior.

Test plan:
  prove t/db_dependent/Koha/Issues.t
should return green

Signed-off-by: Mika Smith <mikasmith@catalyst.net.nz>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2016-12-20 13:40:12 UTC
Created attachment 58293 [details] [review]
Bug 17689: Add the Koha::Checkout->is_overdue method

This patch adds a new method Koha::Checkout->is_overdue and provide tests
to cover it.
The goal is to behave like GetItemIssues set the 'overdue' flag to
issues.
I don't understand why the existing GetItemIssues truncate dates to
minutes, so I did not recreate this behavior.

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green

Signed-off-by: Mika Smith <mikasmith@catalyst.net.nz>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Jonathan Druart 2016-12-20 13:40:53 UTC
Rebased on top of bug 17796 (Move Koha::Issues to Koha::Checkouts)
Comment 6 Kyle M Hall 2016-12-23 11:57:41 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 7 Katrin Fischer 2016-12-27 22:19:49 UTC
This won't get ported back to 16.11.x as it is an enhancement.